
function ajouter_tab(~, ~)
% ajouter_tab  Swift to the following panel
% (user has clicked on '+' at the bottom of the panel)
% en bas de panel)
% INPUT/OUTPUT
% data.num_tab_tag contains the number of the current panel
%% ================================================================

data=guidata(gcf);

if str2double(get(data.num_tab_tag,'string'))<data.indice_panel
    tag=['panel' get(data.num_tab_tag,'string') '_tag'];
    set(data.(tag),'visible','off');
    num_suiv=str2double(get(data.num_tab_tag,'string'))+1;
    set(data.num_tab_tag,'string',num2str(num_suiv))
    newpanel=['panel' get(data.num_tab_tag,'string') '_tag'];
    set(data.(newpanel),'visible','on');
    set(data.tab_precedent_tag,'visible','on')
    set(data.num_tab_tag,'visible','on')
    if num_suiv <data.indice_panel
        set(data.tab_suivant_tag,'visible','on')
    else
        set(data.tab_suivant_tag,'visible','off')
    end
end
end %% fin ajouter_tab
%% ======================================================
